/***************************************************************************
                               cmapnotespane.cpp
                             -------------------
    begin                : Wed Aug 8 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmapnotespane.h"

#include <klocale.h>

CMapNotesPane::CMapNotesPane(QString title,QIconSet *icon,elementTyp panelType,CMapElement *element,QWidget *parent, const char *name)
	: CMapPropertiesPaneBase(title,icon,panelType,element,parent,name)
{
	notesLayout = new QVBoxLayout( this );
    notesLayout->setSpacing( 6 );
    notesLayout->setMargin( 11 );

	lblNotes = new QLabel( this, "lblNotes" );
    lblNotes->setText( i18n( "Notes:" ) );
    notesLayout->addWidget( lblNotes );

	txtNotes = new QMultiLineEdit( this, "txtNotes" );
    notesLayout->addWidget( txtNotes );
}

CMapNotesPane::~CMapNotesPane()
{
}

/** This is called when the ok button of the property dialog is pressed */
void CMapNotesPane::slotOk()
{
	
}

/** This is called when the cancel button of the property dialog is pressed */
void CMapNotesPane::slotCancel()
{
	
}
